Configurar tipo de comprobante por defecto
curl --request POST \
--url https://www.facture.ar/api/cuits/{cuitId}/default-invoice-type \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"defaultInvoiceType": 2
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({defaultInvoiceType: 2})
};
fetch('https://www.facture.ar/api/cuits/{cuitId}/default-invoice-type', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.facture.ar/api/cuits/{cuitId}/default-invoice-type"
payload = { "defaultInvoiceType": 2 }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.facture.ar/api/cuits/{cuitId}/default-invoice-type",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'defaultInvoiceType' => 2
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"message": "<string>"
}{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"resolution": "<string>",
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"resolution": "<string>",
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"details": "<unknown>"
}CUITs
Configurar tipo de comprobante por defecto
Configura el tipo de comprobante (código de ARCA) que se usa cuando una factura no trae invoiceType.
POST
/
cuits
/
{cuitId}
/
default-invoice-type
Configurar tipo de comprobante por defecto
Authorizations
API Key para autenticación. Formato: test_sk_xxx para testing, prod_sk_xxx para producción.
Path Parameters
ID del CUIT en Facturear
Body
application/json
Required range:
x >= 1Response
Valor por defecto actualizado